"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BullMonitorExpress = void 0;
const root_1 = require("@bull-monitor/root");
const apollo_server_express_1 = require("apollo-server-express");
const express_1 = __importDefault(require("express"));
class BullMonitorExpress extends root_1.BullMonitor {
    init() {
        return __awaiter(this, void 0, void 0, function* () {
            const router = express_1.default.Router();
            router.get('/', (_req, res) => {
                res.type('html');
                res.send(this.renderUi());
            });
            this.createServer(apollo_server_express_1.ApolloServer);
            yield this.server.start();
            this.server.applyMiddleware({ app: router });
            this.router = router;
        });
    }
}
exports.BullMonitorExpress = BullMonitorExpress;
//# sourceMappingURL=index.js.map